Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227104 - Review Request: plexus-maven-plugin-1.2-2jpp - Plexus Maven plugin
Summary: Review Request: plexus-maven-plugin-1.2-2jpp - Plexus Maven plugin
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:53 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-28 01:04:14 UTC
dbhole: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:53:16 UTC
Spec URL: http://people.redhat.com/rafaels/specs/plexus-maven-plugin-1.2-2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/plexus-maven-plugin-1.2-2jpp.src.rpm
Description: The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.

Javadoc for plexus-maven-plugin.

Comment 1 Tania Bento 2007-02-23 22:04:18 UTC
Here are the links to the updated spec file and source rpm:

SPEC FILE:
https://tbento.108.redhat.com/files/documents/177/245/plexus-maven-plugin.spec

SOURCE RPM:
https://tbento.108.redhat.com/files/documents/177/246/plexus-maven-plugin-1.2-2jpp.1.src.rpm



Comment 2 Deepak Bhole 2007-03-07 01:15:42 UTC
X = error

MUST:
* package is named appropriately
 - match upstream tarball or project name
 OK

 - try to match previous incarnations in other distributions/packagers for
consistency
 OK

 - specfile should be %{name}.spec
 OK

 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 OK

 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 OK

 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
 OK

* is it legal for Fedora to distribute this?
 - OSI-approved
 OK (see below)

 - not a kernel module
 OK

 - not shareware
 OK

 - is it covered by patents?
 OK

 - it *probably* shouldn't be an emulator
 OK

 - no binary firmware
 OK

X * license field matches the actual license.
  License is MIT , not Apache Software License

* license is open source-compatible.
 - use acronyms for licences where common
 OK

* specfile name matches %{name}
 OK

X * verify source and patches (md5sum matches upstream, know what the patches do)
  - if upstream doesn't release source drops, put *clear* instructions on
    how to generate the the source drop; ie. 
   # svn export blah/tag blah
   # tar cjf blah-version-src.tar.bz2 blah

   The tarball creation command is incorrect. Should be:
   tar czf plexus-maven-plugin-src.tar.gz plexus-maven-plugin/

* skim the summary and description for typos, etc.
  OK

* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  OK

* if %{?dist} is used, it should be in that form (note the ? and %
locations)
 OK

* license text included in package and marked with %doc
 OK

* keep old changelog entries; use judgement when removing (too old?
useless?)
 OK

* packages meets FHS (http://www.pathname.com/fhs/)
 OK

X * rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there
 W: maven-jxr non-standard-group Development/Java
 W: maven-jxr no-documentation
 W: maven-jxr non-standard-group Development/Java
 W: maven-jxr mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 47)

 First 3 are OK. Last one needs fixing.

* changelog should be in one of these formats:
 OK

* Packager tag should not be used
 OK

* Vendor tag should not be used
 OK

* Distribution tag should not be used
 OK

* use License and not Copyright 
 OK

* Summary tag should not end in a period
 OK

* if possible, replace PreReq with Requires(pre) and/or Requires(post)
 OK

* specfile is legible
 - this is largely subjective; use your judgement
 OK

* package successfully compiles and builds on at least x86
 OK (see end)

X * BuildRequires are proper
  - builds in mock will flush out problems here
  See end.

* summary should be a short and concise description of the package
  Summary OK. 


X * description expands upon summary (don't include installation
  instructions)

  Description should be changed to:

  Plexus Maven Plugin helps create plexus component descriptions from within
  Maven.

* make sure lines are <= 80 characters
 OK (only code lines are > 80)

* specfile written in American English
 OK

* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
 OK

* packages including libraries should exclude static libraries if possible
 OK

* don't use rpath
 OK

X * config files should usually be marked with %config(noreplace)
  /etc/maven/fragments/plexus-maven-plugin is not a config file, and should
  not be marked as such.

* GUI apps should contain .desktop files
 OK

* should the package contain a -devel sub-package?
 OK

* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
 OK

* don't use %makeinstall
 OK

* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
 OK

* consider using cp -p to preserve timestamps
 OK

* split Requires(pre,post) into two separate lines
 OK

* package should probably not be relocatable
 OK

* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
 OK

* package should own all directories and files
 OK

* there should be no %files duplicates
 OK

* file permissions should be okay; %defattrs should be present
 OK

* %clean should be present
 OK

* %doc files should not affect runtime
 OK

* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
 OK

* verify the final provides and requires of the binary RPMs
 OK (see additional notes)

* run rpmlint on the binary RPMs
 OK

SHOULD:
* package should include license text in the package and mark it with %doc

* package should build on i386
 OK after fixing br's

* package should build in mock
 OK after fixing BR's and compensating for incorrect req's for
 plexus-appserver/plexus-xmlrpc [commons-httpclient plexus-xmlrpc xmlrpc
 commons-codec] (from jpp stack)


Additional notes:

1. BR and Requires need updating. Update to:
BuildRequires:  jpackage-utils >= 0:1.7.2
BuildRequires:  maven2 >= 2.0.4
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven2-common-poms >= 1.0
BuildRequires:  plexus-appserver >= 1.0-0.a5.3
BuildRequires:  plexus-cdc >= 1.0-0.a4.2
BuildRequires:  plexus-container-default
BuildRequires:  plexus-runtime-builder >= 1.0-0.a9.2
Requires:       maven2 >= 2.0.4
Requires:       maven2-common-poms >= 1.0
Requires:       plexus-appserver >= 1.0-0.a5.3
Requires:       plexus-cdc >= 1.0-0.a4.2
Requires:       plexus-container-default
Requires:       plexus-runtime-builder >= 1.0-0.a9.2

Requires(post):    jpackage-utils >= 0:1.7.2
Requires(postun):  jpackage-utils >= 0:1.7.2



Comment 3 Tania Bento 2007-03-12 21:04:22 UTC
> X * license field matches the actual license.
>   License is MIT , not Apache Software License

Fixed.

> X * verify source and patches (md5sum matches upstream, know what the patches do)
>   - if upstream doesn't release source drops, put *clear* instructions on
>     how to generate the the source drop; ie. 
>    # svn export blah/tag blah
>    # tar cjf blah-version-src.tar.bz2 blah
> 
>    The tarball creation command is incorrect. Should be:
>    tar czf plexus-maven-plugin-src.tar.gz plexus-maven-plugin/

Fixed.

> X * rpmlint on <this package>.srpm gives no output
>  - justify warnings if you think they shouldn't be there
>  W: maven-jxr non-standard-group Development/Java
>  W: maven-jxr no-documentation
>  W: maven-jxr non-standard-group Development/Java
>  W: maven-jxr mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 47)
> 
>  First 3 are OK. Last one needs fixing.

Fixed.

> X * BuildRequires are proper
>   - builds in mock will flush out problems here
>   See end.

Fixed.

> X * description expands upon summary (don't include installation
>   instructions)
> 
>   Description should be changed to:
> 
>   Plexus Maven Plugin helps create plexus component descriptions from within
>   Maven.

Fixed.

> X * config files should usually be marked with %config(noreplace)
>   /etc/maven/fragments/plexus-maven-plugin is not a config file, and should
>   not be marked as such.

Fixed.

This package has also been built on mock.  However, plexus-appserver needed to
be fixed in order to build plexus-maven-plugin. This fix added plexus-xmlrpc and
xmlrpc as a %BuildRequires and as a %Requires. Since plexus-maven-plugin needs
to built on the jpackage stack, which does not have the fixed plexus-appserver
yet, plexus-xmlrpc and xmlrpc had to be manually installed inside the buildroot


Here are the links to the updated spec file and source rpm:

SPEC FILE:
https://tbento.108.redhat.com/files/documents/177/245/plexus-maven-plugin.spec

SOURCE RPM:
https://tbento.108.redhat.com/files/documents/177/246/plexus-maven-plugin-1.2-2jpp.1.src.rpm


Comment 4 Deepak Bhole 2007-03-13 19:01:35 UTC
(In reply to comment #3)
> > X * license field matches the actual license.
> >   License is MIT , not Apache Software License
> 
> Fixed.
> 

OK

> > X * verify source and patches (md5sum matches upstream, know what the
patches do)
> >   - if upstream doesn't release source drops, put *clear* instructions on
> >     how to generate the the source drop; ie. 
> >    # svn export blah/tag blah
> >    # tar cjf blah-version-src.tar.bz2 blah
> > 
> >    The tarball creation command is incorrect. Should be:
> >    tar czf plexus-maven-plugin-src.tar.gz plexus-maven-plugin/
> 
> Fixed.
> 

The tarball generation command is still incorrect..

> > X * rpmlint on <this package>.srpm gives no output
> >  - justify warnings if you think they shouldn't be there
> >  W: maven-jxr non-standard-group Development/Java
> >  W: maven-jxr no-documentation
> >  W: maven-jxr non-standard-group Development/Java
> >  W: maven-jxr mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 47)
> > 
> >  First 3 are OK. Last one needs fixing.
> 
> Fixed.
> 

OK

> > X * BuildRequires are proper
> >   - builds in mock will flush out problems here
> >   See end.
> 
> Fixed.
> 

OK

> > X * description expands upon summary (don't include installation
> >   instructions)
> > 
> >   Description should be changed to:
> > 
> >   Plexus Maven Plugin helps create plexus component descriptions from within
> >   Maven.
> 
> Fixed.
> 

OK

> > X * config files should usually be marked with %config(noreplace)
> >   /etc/maven/fragments/plexus-maven-plugin is not a config file, and should
> >   not be marked as such.
> 
> Fixed.
> 
> This package has also been built on mock.  However, plexus-appserver needed to
> be fixed in order to build plexus-maven-plugin. This fix added plexus-xmlrpc and
> xmlrpc as a %BuildRequires and as a %Requires. Since plexus-maven-plugin needs
> to built on the jpackage stack, which does not have the fixed plexus-appserver
> yet, plexus-xmlrpc and xmlrpc had to be manually installed inside the buildroot
> 
> 

OK

Comment 5 Tania Bento 2007-03-13 20:03:58 UTC
> > > X * verify source and patches (md5sum matches upstream, know what the
> patches do)
> > >   - if upstream doesn't release source drops, put *clear* instructions on
> > >     how to generate the the source drop; ie. 
> > >    # svn export blah/tag blah
> > >    # tar cjf blah-version-src.tar.bz2 blah
> > > 
> > >    The tarball creation command is incorrect. Should be:
> > >    tar czf plexus-maven-plugin-src.tar.gz plexus-maven-plugin/
> > 
> > Fixed.
> > 
> 
> The tarball generation command is still incorrect..

Sorry about that. 
Here are the links to the udpated spec file and source rpm:
SPEC FILE:
https://tbento.108.redhat.com/files/documents/177/245/plexus-maven-plugin.spec
SOURCE RPM:
https://tbento.108.redhat.com/files/documents/177/246/plexus-maven-plugin-1.2-2jpp.1.src.rpm

Comment 6 Deepak Bhole 2007-03-13 20:39:24 UTC
Looks good. APPROVED.

Comment 7 Deepak Bhole 2007-03-13 21:10:47 UTC
New Package CVS Request
=======================
Package Name: plexus-maven-plugin
Short Description: Source cross referencing tool
Owners: dbhole@redhat.com
Branches: devel

Comment 8 Bernard Johnson 2007-04-11 22:49:10 UTC
Pardon the bugzilla spam.  This package appears to have been approved, imported,
and built.

If that is the case, please close this bug RESOLVE -> NEXTRELEASE as documented
in the package review process:
http://fedoraproject.org/wiki/PackageReviewProcess?#head-df921556b35438a4c78b4b6a790151ea568e8f9e


Note You need to log in before you can comment on or make changes to this bug.